#!/bin/sh
set -e

OPT=""
ENTROPY="4"
while [ -n "$1" ]; do
	case "$1" in
    	-s)
			OPT="scan"
        ;;
		-e)
			shift
			ENTROPY="$1"
			;;
		*)
			echo "Invalid parameter(s)"
			echo "Usage:"
			echo "docker run --rm -v "${PWD}:/work" -w /work its-registry.unl.edu/unl-its/docker-ci/detect-secrets -s -e 3"
			echo ""
			exit 2
	esac
	shift
done

if [ ${OPT} = "scan" ]; then
	OUTPUT=`/usr/local/bin/detect-secrets scan --base64-limit ${ENTROPY}`
	echo ${OUTPUT} | jq
	RESULT=`echo ${OUTPUT} | jq '.results | length == 0'`
    if [ "${RESULT}" = "true" ]; then
       exit 0
   	else
       exit 1
    fi
fi
