import os
import requests
import sys

'''
The purpose of this script is to test the current merge request against
a list of approved merge requests from the Linux Web Host Manager.

This is primarily intended to act as an approval step for outside developers
using our hosting stack and CI/CD processes.
'''


response = requests.post('https://its-lampprod1-whm.unl.edu/merge_auth_check.php', data={
    'repo': os.environ.get('CI_PROJECT_PATH'),
    'sha': os.environ.get('CI_COMMIT_SHA'),
    'branch': os.environ.get('CI_COMMIT_BRANCH'),
    'user': os.environ.get('GITLAB_USER_LOGIN')
})

if (response.status_code == 200):
    # Merge is allowed, print response and exit cleanly (status 0)
    print(response.content.decode('utf-8'))
    exit(0)
else:
    # Merge is not allowed, print response and exit with an error (status 1)
    print(response.content.decode('utf-8'), file=sys.stderr)
    exit(1)
